package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.TarjetaCreditoDAO;
import com.rjconsultores.ventaboletos.entidad.TarjetaCredito;

@Repository("tarjetaCreditoDAO")
public class TarjetaCreditoHibernateDAO extends GenericHibernateDAO<TarjetaCredito, Integer>
		implements TarjetaCreditoDAO {

	@Autowired
	public TarjetaCreditoHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<TarjetaCredito> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		c.addOrder(Order.asc("descTarjetaCredito"));

		return c.list();
	}
}
